// BSLAHack.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "BSLAHack.h"
#include "CBmp.h"
//#include "CIni.h"
#include "Utils.h"
#include "EditProjectsDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CBSLAHackApp

BEGIN_MESSAGE_MAP(CBSLAHackApp, CWinApp)
END_MESSAGE_MAP()

/*static*/ LPCSTR CBSLAHackApp::PinNames[NUM_PINS] = {"Sin","Sout","RES","Vdd","P15","P14","P13","P12","P11","P10","P9","P8","P7","P6","P5","P4","P3","P2","P1","P0"};

// CBSLAHackApp construction

/*static*/ UINT CBSLAHackApp::uPinClickMsg = 0;
/*static*/ UINT CBSLAHackApp::uReloadMsg = 0;

CBSLAHackApp::CBSLAHackApp() :
	m_pMainWndX(NULL)
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CBSLAHackApp object

CBSLAHackApp theApp;


// CBSLAHackApp initialization

BOOL CBSLAHackApp::InitInstance()
{
	CWinApp::InitInstance();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
//	SetRegistryKey(_T("Local AppWizard-Generated Applications"));
	// To create the main window, this code creates a new frame window
	// object and then sets it as the application's main window object

	m_hIcon = this->LoadIcon(IDI_HACKED);

	this->uPinClickMsg = ::RegisterWindowMessage("BSLAHack_PinClickMsg");
	this->uReloadMsg = ::RegisterWindowMessage("BSLAHack_ReloadMsg");

	if(CMainWnd::FindPrevWindow())
	{
		AfxMessageBox("BSLAHack is already running!", MB_OK|MB_ICONINFORMATION);
		return FALSE;
	}

	if(!Config.Load())
	{
		AfxMessageBox("You have no Projects.\r\nPlease create at least one Project.", MB_OK);
		CEditProjectsDlg dlg;
		if(dlg.DoModal() != IDOK)
			return FALSE;
	}
	
	while(!Config.GetCurrentProject())
	{
		AfxMessageBox("You have no Project selected.\r\nPlease select a Project.", MB_OK);
		CEditProjectsDlg dlg;
		if(dlg.DoModal() != IDOK)
			return FALSE;
		if(!Config.Load())
			return FALSE;
	}

	//if(!SanityCheck())
	//	return FALSE;

	m_pMainWndX = new CMainWnd();
	if (!m_pMainWndX)
		return FALSE;
	m_pMainWnd = m_pMainWndX;
	m_pMainWndX->Create();

	return TRUE;
}

int CBSLAHackApp::ExitInstance()
{
	delete m_pMainWnd;
	return 0;
}

int CBSLAHackApp::GetPinIndex(LPCSTR psBS2Name)
{
	for(int p=0; p<PIN_COUNT; p++)
	{
		if(!strcmp(psBS2Name, this->PinNames[p]))
			return p;
	}
	return -1;
}


//bool CBSLAHackApp::SanityCheck()
//{
//	bool IniOk = false;
//	CString sErrMsg;
//	if(CIni::Exists())
//	{
//		CBmp bmp;
//		CString sBmpPath = bmp.GetFilePath();
//		if(Utils::FileExists(sBmpPath))
//		{
//			LPCSTR sBmpFile = "xxx";
//			if(bmp.LoadFromFile(sBmpPath))
//			{
//				if(bmp.HasSize())
//				{
//					if(bmp.IsCorrectSize())
//					{
//						IniOk = true;
//					}
//					else
//					{
//						sErrMsg.Format("Bitmap '%s' has incorrect size.\nIt must be %d x %d pixels.", sBmpFile, HACKWND_CX, HACKWND_CY);
//					}
//				}
//				else
//				{
//					sErrMsg.Format("Bitmap '%s' has incorrect no size.", sBmpFile);
//				}
//			}
//			else
//			{
//				sErrMsg.Format("Failed to load bitmap file '%s'.", sBmpFile);
//			}
//		}
//		else
//		{
//			sErrMsg.Format("Can't find bitmap file '%s'.", sBmpPath);
//		}
//	}
//	else
//	{
//		sErrMsg.Format("Error: No INI file: \n%s", CIni::GetIniFilePath());
//	}
//
//	if(!sErrMsg.IsEmpty())
//		Utils::MsgBox(sErrMsg);
//
//	return IniOk;
//}

// CBSLAHackApp message handlers
