// BSLAHack.h : main header file for the BSLAHack application
//
#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"       // main symbols
#include "HackDefs.h"
#include "MainWnd.h"
#include "Config.h"


#define WMAPP_TRAY_CALLBACK		(WM_APP+1)
#define WMAPP_PINCLICK			(WM_APP+2)
#define WMAPP_RELOAD			(WM_APP+3)



// CBSLAHackApp:
// See BSLAHack.cpp for the implementation of this class
//

class CBSLAHackApp : public CWinApp
{
public:
	CBSLAHackApp();


// Overrides
public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	bool SanityCheck();
	HICON GetIcon()	{return m_hIcon;}

	CConfig Config;

	static LPCSTR PinNames[NUM_PINS];
	int GetPinIndex(LPCSTR psBS2Name);

	static UINT uPinClickMsg;
	static UINT uReloadMsg;
// Implementation

public:
	DECLARE_MESSAGE_MAP()

	CMainWnd* m_pMainWndX;
	HICON m_hIcon;
};

extern CBSLAHackApp theApp;