// Author: Dave Chambers (dlchambers@aol.com)
// BSLAHack project webpage: http://www.dlwrr.com/electronics/tools/bsla/hack/
#include "stdafx.h"
#include "FindBSLA.h"
#include "HackDefs.h"

static BOOL CALLBACK EnumChildWindowsProc(HWND hChild, LPARAM lParam)
{
	char szClassname[1024];
	szClassname[0] = 0;

	::GetClassNameA(hChild, szClassname, sizeof(szClassname));
	if(!_strcmpi(HACK_CONTROL_WNDCLASS, szClassname))
	{
		*((HWND*)lParam) = hChild;
		return false;
	}
	return true;
}

/*static*/ HWND FindBSLA::UnhackedWnd()
{
	HWND hBSLA = ::FindWindowA(BSLA_WNDCLASS, BSLA_WNDTITLE);
	if(::IsWindow(hBSLA))
	{
		HWND hHack = NULL;
		::EnumChildWindows(hBSLA, EnumChildWindowsProc, (LPARAM)&hHack);
		if(hHack)
			hBSLA = NULL;
	}
	return hBSLA;
}

/*static*/ DWORD FindBSLA::UnhackedPid()
{
	DWORD pid = 0;
	HWND hBSLA = FindBSLA::UnhackedWnd();
	if(::IsWindow(hBSLA))
		GetWindowThreadProcessId(hBSLA, &pid);
	return pid;
}
