// Author: Dave Chambers (dlchambers@aol.com)
// BSLAHack project webpage: http://www.dlwrr.com/electronics/tools/bsla/hack/
#pragma once

// The class & title of the BSLA window
#define BSLA_WNDCLASS			"ThunderRT6FormDC"
#define BSLA_WNDTITLE			"Basic Stamp Logic Analyzer"

// Wnd classes used by BSLAHack
#define	HACK_EXE_WNDCLASS		"BSLAHackWindowClass"
#define	HACK_EXE_WNDTITLE		"BSLAHack App Window"
#define	HACK_CONTROL_WNDCLASS	"BSLAHackControlClass"
#define	HACK_CONTROL_WNDTITLE	"BSLAHackControlWindow"
#define PINWND_WNDCLASS			"BSLAHackPinCtrlClass"

// The size of the BSLA's pinout image; our wnd & bitmap are the exact same size
#define HACKWND_CX				183
#define HACKWND_CY				323

#define CX_PINWND	34
#define CY_PINWND	14
#define PINWND_ID_BASE	5000

// INI stuff
#define INI_FILE_NAME			"BSLAHack.ini"
#define INI_APP_NAME			"BSLAHack"
#define INI_SETTING_BMP			"bmp"

