#pragma once

typedef CONST BYTE* PCBYTE;
class CMemBuf
{
public:
	CMemBuf(void);
	~CMemBuf(void);

	void Free();
	bool LoadFromFile(LPCSTR psFile);
	bool HasData();
	bool CopyFrom(CMemBuf& src);
	bool CopyFrom(PCBYTE pb, DWORD sz);
	HGLOBAL ToHGlobal();
	DWORD Size()	{return m_sz;}
	PCBYTE Data()	{return m_pb;}

private:
	LPBYTE m_pb;
	DWORD m_sz;

	bool Alloc(DWORD sz);

};
