// Author: Dave Chambers (dlchambers@aol.com)
// BSLAHack project webpage: http://www.dlwrr.com/electronics/tools/bsla/hack/
#include "stdafx.h"
#include "Utils.h"

/*static*/ CString Utils::GetFilePath(LPCSTR fname)
{
	char szPath[1024] = {0};
	::GetModuleFileName(AfxGetInstanceHandle(), szPath, sizeof(szPath));
	char* psFile = strrchr(szPath, '\\');
	if(!psFile)
		return false;
	psFile++;
	lstrcpy(psFile, fname);
	return CString(szPath);
}

/*static*/ bool Utils::FileExists(LPCSTR psFile)
{
	if(!psFile || !*psFile)
		return false;
	DWORD dwAttribs = ::GetFileAttributes(psFile);
	return ((0xFFFFFFFF!=dwAttribs) && !(dwAttribs&FILE_ATTRIBUTE_DIRECTORY));
}

/*static*/ void Utils::MsgBox(LPCSTR msg)
{
	::MessageBoxA(NULL, msg, "BSLAHack", MB_OK|MB_ICONEXCLAMATION );
}
