// atox.cpp : implementation file
//

#include "stdafx.h"
#include "atox.h"

/*static*/ int atox::ERR = -1;

// Convert hex char to numeric value
// Return ERROR when input char isn't hex
int atox::ch(char ch)
{
	int nCh = atox::ERR;
	switch(ch)
	{
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':
			nCh = ch - '0';
			break;
		case 'a':
		case 'A':
		case 'b':
		case 'B':
		case 'c':
		case 'C':
		case 'd':
		case 'D':
		case 'e':
		case 'E':
		case 'f':
		case 'F':
			nCh = ((ch|0x20) - 'a') + 10;
			break;
	}

	return nCh;
}

DWORD atox::str(LPCSTR psVal)
{
	bool ok = true;

	DWORD dwVal = 0;
	if(psVal && *psVal)
	{
		while(ok && *psVal)
		{
			dwVal *= 0x10;
			int z = atox::ch(*psVal);
			if(z >= 0)
			{
				dwVal += z;
				psVal++;
			}
			else
				ok = false;
		}
	}

	if(!ok)
		dwVal = (DWORD)atox::ERR;

	return dwVal;
}
