#pragma once

#include "TrayIconMgr.h"
#include "HackWnd.h"
#include "EditProjectsDlg.h"

// CMainWnd

class CMainWnd : public CWnd
{
	DECLARE_DYNAMIC(CMainWnd)

public:
	CMainWnd();
	virtual ~CMainWnd();

	static BOOL FindPrevWindow();
	BOOL Create();

protected:
	CTrayIconMgr m_TrayIcon;
	CHackWnd* m_pHackWnd;
	CEditProjectsDlg* m_pEditPrjDlg;
	bool m_fCloseOnEditDlgExit;


	static bool s_fRegistered;

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnTrayExit();
	afx_msg void OnEditProjects();
	afx_msg void OnDestroy();
	DECLARE_MESSAGE_MAP()

	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	void DisplayTrayMenu();
	void DestroyHackWnd();
};
