#pragma once

#include "config.h"

// CPinCtrl

class CPinCtrl : public CWnd
{
	DECLARE_DYNAMIC(CPinCtrl)

public:
	CPinCtrl();
	virtual ~CPinCtrl();

	BOOL Create(CWnd* pParent, int x, int y, LPCSTR psBS2PinName, UINT uIdc);

	LPCSTR GetUserText()	{return m_PinUserInfo.szUserText;}
	void SetUserText(LPCSTR psUserText)
	{
		lstrcpyn(m_PinUserInfo.szUserText, psUserText, sizeof(m_PinUserInfo.szUserText)-1);
	}

	CString m_sBS2Name;
	PINUSERINFO m_PinUserInfo;

protected:
	BOOL m_fTracking;

	static bool s_fRegistered;
	static CFont m_font;

	void Reload();


	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg LRESULT OnMouseLeave(WPARAM, LPARAM);
	afx_msg void OnLButtonUp(UINT, CPoint);
	afx_msg LRESULT OnReload(WPARAM, LPARAM);

};


