// Author: Dave Chambers (dlchambers@aol.com)
// BSLAHack project webpage: http://www.dlwrr.com/electronics/tools/bsla/hack/
#pragma once

class CTrayIconMgr
{
public:
	CTrayIconMgr();
	~CTrayIconMgr();

	void Create(HWND hWnd, UINT uCallbackMsg, UINT uIdIcon, LPCSTR psTip);
	void Destroy()					{TrayMessage(NIM_DELETE);}

	void SetIcon(UINT uIdIcon);
	void SetTipText(LPCSTR psTip);

	void OnTaskbarCreated()			{TrayMessage(NIM_ADD);}
	UINT OnTrayCallback(WPARAM wParam, LPARAM lParam);

	UINT m_uTaskbarCreatedMsg;
	UINT m_uCallbackMsg;

	HWND GetTrayNotifyWnd() { return m_hTrayNotifyWnd; }

protected:
	HWND m_hTrayNotifyWnd;
	CString m_sTip;
	HWND m_hWnd;
	UINT m_uIdIcon;
	HICON m_hIcon;
	BOOL m_fInTray;

	void TrayMessage(UINT message);
	void _setTipText(LPCSTR psTip);
	bool _getTrayRect(RECT& rc);
	void _loadIcon(UINT uIdIcon);
	//static BOOL CALLBACK _enumTooltipCallback(HWND hWnd, LPARAM lParam);
	static HWND FindShellTrayWnd();

};
